// generated from rosidl_generator_c/resource/idl__struct.h.em
// with input from automotive_navigation_msgs:msg/LaneBoundary.idl
// generated code does not contain a copyright notice

#ifndef AUTOMOTIVE_NAVIGATION_MSGS__MSG__DETAIL__LANE_BOUNDARY__STRUCT_H_
#define AUTOMOTIVE_NAVIGATION_MSGS__MSG__DETAIL__LANE_BOUNDARY__STRUCT_H_

#ifdef __cplusplus
extern "C"
{
#endif

#include <stdbool.h>
#include <stddef.h>
#include <stdint.h>


// Constants defined in the message

/// Constant 'UNKNOWN'.
enum
{
  automotive_navigation_msgs__msg__LaneBoundary__UNKNOWN = 0
};

/// Constant 'SOLID'.
enum
{
  automotive_navigation_msgs__msg__LaneBoundary__SOLID = 1
};

/// Constant 'DASHED'.
enum
{
  automotive_navigation_msgs__msg__LaneBoundary__DASHED = 2
};

/// Constant 'SOLID_DASHED'.
enum
{
  automotive_navigation_msgs__msg__LaneBoundary__SOLID_DASHED = 3
};

/// Constant 'DASHED_SOLID'.
enum
{
  automotive_navigation_msgs__msg__LaneBoundary__DASHED_SOLID = 4
};

/// Constant 'SOLID_SOLID'.
enum
{
  automotive_navigation_msgs__msg__LaneBoundary__SOLID_SOLID = 5
};

/// Constant 'WHITE'.
enum
{
  automotive_navigation_msgs__msg__LaneBoundary__WHITE = 1
};

/// Constant 'YELLOW'.
enum
{
  automotive_navigation_msgs__msg__LaneBoundary__YELLOW = 2
};

// Include directives for member types
// Member 'line'
#include "geometry_msgs/msg/detail/point__struct.h"

/// Struct defined in msg/LaneBoundary in the package automotive_navigation_msgs.
/**
  * Lane Boundary Message
  * Contains an array of points and other details
 */
typedef struct automotive_navigation_msgs__msg__LaneBoundary
{
  uint8_t style;
  uint8_t color;
  geometry_msgs__msg__Point__Sequence line;
} automotive_navigation_msgs__msg__LaneBoundary;

// Struct for a sequence of automotive_navigation_msgs__msg__LaneBoundary.
typedef struct automotive_navigation_msgs__msg__LaneBoundary__Sequence
{
  automotive_navigation_msgs__msg__LaneBoundary * data;
  /// The number of valid items in data
  size_t size;
  /// The number of allocated items in data
  size_t capacity;
} automotive_navigation_msgs__msg__LaneBoundary__Sequence;

#ifdef __cplusplus
}
#endif

#endif  // AUTOMOTIVE_NAVIGATION_MSGS__MSG__DETAIL__LANE_BOUNDARY__STRUCT_H_
